#
# spec file for package iagno
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           iagno
Version:        3.20.2
Release:        3.3
Summary:        Reversi Game for GNOME
License:        GPL-3.0+
Group:          Amusements/Games/Board/Other
Url:            https://live.gnome.org/Iagno
Source:         http://download.gnome.org/sources/iagno/3.20/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.50
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(glib-2.0) >= 2.40.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.15.0
BuildRequires:  pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.32.0
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Iagno is the two player strategy game of Othello, which is also known
as Reversi and is similar to Go. The pieces are tiles that are black
on one side and white on the other and the objective is for the player
to flip his/her opponent's tiles to his/her color, while keeping the
opponent from doing the same. Once the board is filled with tiles, the
winner is the player with the most of his/her color tiles on the
board.

%lang_package
%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}/%{_datadir}/help/
%suse_update_desktop_file %{name}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc COPYING NEWS
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%dir %{_datadir}/appdata
%{_datadir}/appdata/iagno.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man6/%{name}.6%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Tue May 10 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + Updated translations.
* Thu Apr 14 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Updated translations.
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 3.19.92:
  + The “valign” property of some buttons of the headerbar has been
    set to “center”, to look better on some rare configurations.
  + Updated translations.
* Tue Mar  1 2016 zaitor@opensuse.org
- Update to version 3.19.91:
  + Updated translations.
* Tue Feb 16 2016 zaitor@opensuse.org
- Update to version 3.19.90:
  + The “Black and White” (high_contrast) theme has evolved to look
    good when used with the new GTK+ theme “HighContrastInverse”,
    and is set as the default for it.
  + Updates of the metadata files (AppData and Doap).
  + Add a code style checker.
  + Updated translations.
* Tue Nov 24 2015 zaitor@opensuse.org
- Update to version 3.19.1:
  + Adaptation to current CSS-nodes (will break again).
  + Updated translations.
* Thu Nov 12 2015 zaitor@opensuse.org
- Update to version 3.18.2:
  + Update CSS for uses with newer Gtk+.
  + Updated translations.
* Mon Oct 12 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Better error message.
  + Updated translations.
* Mon Sep 21 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Wed Sep 16 2015 dimstar@opensuse.org
- Update to version 3.17.92:
  + Fix dragging the window after clicking the game view.
* Wed Sep  2 2015 zaitor@opensuse.org
- Update to version 3.17.91:
  + Updated translations.
* Tue Aug 18 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Add support for rounded-squared tiles in themes.
  + Update screenshots in help.
  + Print --version output on stdout.
  + Updated translations.
* Tue Apr 28 2015 zaitor@opensuse.org
- Update to version 3.17.1:
  + Add keyboard support.
  + Update drawing function.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + Temporarily remove Sun and Star theme, that causes a memory
    leak.
  + HighContrast icons removed (as the symbolic one is now used).
  + Updated translations.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Tue Mar 17 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Add symbolic icon.
  + Don't crash when closing.
  + Restore the hack that makes the new-game screen work correctly.
  + Better code for command-line options.
  + Introduce one (two) CSS hack(s) for a weird HighContrast
    (non-)behaviour.
  + Updated translations.
* Tue Mar  3 2015 dimstar@opensuse.org
- Update to version 3.15.91:
  + Big code reorganisation, correcting some weird bugs,
    including a crasher.
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90.2:
  + Real fix that makes themes work.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90.1:
  + Fix distcheck.
- Changes from version 3.15.90:
  + Scoreboard that changes with the theme.
  + New themes' dialog, new themes.
  + Implement new design for new game screen.
  + Switch from appdata-tools to appstream-utils.
  + Updated translations.
- Change license to GPL-3.0, following upstreams relicensing.
* Tue Nov 18 2014 zaitor@opensuse.org
- Update to version 3.15.1:
  + Make the background green and thicken the grid.
  + Use piece images instead of text in the scoreboard.
  + Add a new game screen.
  + The AI is now much weaker on level one.
  + The AI no longer blocks the UI thread to think.
  + The AI takes more time to move when only one spot remains.
  + Move sound preference to the app menu.
  + Add ability to change board size with command line.
  + Add alternative starting position command line switch.
  + Accept right clicks as input, since why not?
  + Code cleanups.
  + Very many internal changes.
  + Updated translations.
* Wed Nov 12 2014 zaitor@opensuse.org
- Update to version 3.14.2:
  + Updated translations.
* Fri Oct 10 2014 dimstar@opensuse.org
- Update to version 3.14.1:
  + The level one AI is now much easier.
  + Updated translations.
* Mon Sep 22 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + Updated appdata.
  + Updated translations.
* Mon Sep  1 2014 zaitor@opensuse.org
- Update to version 3.13.91:
  + AI fixes and improvements, hopefully.
  + Never create multiple preferences dialogs.
  + Restore <ctrl>Z shortcut for undo move.
  + Updated translations.
* Mon Aug 18 2014 dimstar@opensuse.org
- Update to version 3.13.90:
  + Distribute HighContrast icons.
  + Disallow undo if only computer has moved.
  + Use an AspectFrame to ensure all looks good.
  + Update man page.
  + Updated translations.
- Build HighContrast icon cache in post/postun.
* Mon Jul 21 2014 dimstar@opensuse.org
- Update to version 3.13.4:
  + Use a text label for the new game button.
  + Use header bar on preferences dialog.
  + Use better window title for preferences dialog.
  + Preferences dialog changes.
  + Do not allow computer vs. computer games.
  + Add some new command line options.
  + Add a jumplist to the desktop file.
  + Window layout tweaks.
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.2:
  + Updated translations.
* Mon Apr 14 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Updated translations.
* Mon Mar 24 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Fix some bugs with the user help.
  + Updated translations.
* Mon Mar 17 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Fix padding around scoreboard.
  + Attempt to center the board using wide window sizes.
  + Updated translations.
* Mon Feb 17 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + Now uses a header bar.
  + Removed the info bar. Messages are now displayed in the header
    bar instead.
  + Undo Move has moved from the app menu to the header bar.
  + The grid is now solid and mandatory, and sits on the left side
    of the window.
  + A new game button now appears in the window after the game is
    complete.
  + Flip final result preference removed; this is now mandatory.
  + The computer now moves more slowly, to avoid overwhelming the
    player.
  + Iagno can be started with -f or --fast-mode to avoid this
    delay.
  + Many older themes have been removed.
  + Updated man page
  + Updated translations.
* Tue Nov 19 2013 dimstar@opensuse.org
- Update to version 3.11.2:
  + Updated translations.
* Wed Oct 30 2013 dimstar@opensuse.org
- Update to version 3.11.1:
  + Make the AI play much slower to give the game a more natural
    tempo.
  + Fix serious bug affecting the performance of the AI.
  + Miscellaneous code cleanups.
  + Add some simple test cases.
  + Appdata is now translatable.
  + Updated translations.
* Sun Oct 13 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + Fix crazy computers when starting a new game in computer vs.
    computer mode.
  + Fix bug affecting the correctness of the computer's choice of
    moves.
  + Fix additional low-level issues triggered by computer search,
    including one that caused the piece flip sound to play many
    times in close succession.
  + Fix undo after having passed.
  + Fix infobar disappearing if intended to be displayed two moves
    in a row.
  + Fix piece flipped sound improperly playing at the start of the
    game.
  + Reallow undo after the game has ended.
  + Add delay between last move and final flip to prevent the
    scenario where it appears the last player placed a piece of the
    wrong color.
  + Updated translations.
* Mon Sep 23 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Stable release, no changes.
* Tue Sep 17 2013 dimstar@opensuse.org
- Update to version 3.9.92:
  + Show the grid by default so the edges of the board are clear.
  + Fix hang after many pieces have been placed on the board.
  + Fix hang when neither player has a valid move.
  + Prohibit Undo after the game has ended.
* Tue Sep  3 2013 dimstar@opensuse.org
- Update to version 3.9.91:
  + Add an AppData file.
* Sat Aug 24 2013 zaitor@opensuse.org
- Add fdupes buildrequires, and use fdupes macro to get rid of
  duplicate help files.
* Wed Aug 21 2013 dimstar@opensuse.org
- Update to version 3.9.90:
  + Alphabetize theme selection in Preferences.
  + Display the correct score at the end of the game.
  + Fix two broken links in user help.
  + Updated translations.
* Mon Apr 15 2013 dimstar@opensuse.org
- Update to version 3.8.1:
  + Updated translations.
* Wed Mar 27 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Merge themes from extras module.
  + Updated translations.
* Tue Mar  5 2013 dimstar@opensuse.org
- Initial package, version 3.7.90: split-off from gnome-games.
